Description

This is a guide on running the Firefox Sync-1.5 Server on FreeBSD 9.

Prepare the Environment

o Make sure the system is up to date:
pkg update && pkg upgrade -y

e |nstall a few dependencies:

pkg install git gmake python2 py27-virtualenv sglite py27-sglite3 gcc4d8

* Add the Sync Server user

pw add user -n ff-sync -m -s /bin/sh -c "Firefox Sync"

Install Sync Server

e Switch to the sync server user:

su - ff-sync

e Then set the CC, CXX, and CPP environment variables to use GCC instead of Clang:

export CC=gcc48
export CXX=g++48
export CPP=cpp48

® Download the sync server from GitHub:

git clone https://github.com/mozilla-services/syncserver

o Build the sync server:

cd syncserver
gmake build
e Edit the syncserver config file:

vi syncserver.ini

o And uncomment the sqlite uri parameter:

sqluri = sqlite:////home/ff-sync/syncserver.db

e Test run the server:

gmake serve
o Ctrl+C to exit the server.
Configure Firefox
1. To configure desktop Firefox to talk to your new Sync server, go to about:config

2. search for identity.sync.tokenserver.uri and change its value to the URL of your server with a path of token/1.0/sync/1.5:
identity.sync.tokenserver.uri:http://sync.example.com/token/1.0/sync/1.5

Resources

e https://docs.services.mozilla.com/howtos/run-sync-1.5.html

History

#1 - 01/09/2016 08:56 PM - Daniel Curtis

- Description updated

#2 - 01/10/2016 11:49 AM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 01/10/2016 12:50 PM - Daniel Curtis

- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

- Estimated time changed from 2.00 h to 1.00 h

#4 - 02/20/2016 07:17 PM - Daniel Curtis

- Status changed from Resolved to Closed
